=== debian/changelog ===
uudeview (0.5.20-3) unstable; urgency=low

  * Ack NMU.  (closes: Bug#373630)
  * Don't force overwrite mode if auto-rename enabled.  (closes: Bug#378076)
  * Don't ignore special chars when parsing MIME.  (closes: Bug#341440)
  * Fix for #320541 also fixes #242999.  (closes: Bug#242999)
  * Incorporate suspicious-file patch from Peter Muir.  (closes: Bug#166077)
  * Bump standards-version to 3.7.2.
  * Update FSF address.
  * Delete (malformed) end of this changelog.

 -- Chris Hanson <cph@debian.org>  Tue, 15 Aug 2006 00:40:50 -0400

uudeview (0.5.20-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix possible (but highly unlikely) race in temporary file generation
    (CAN-2004-2265), by passing the "x" (O_EXCL) flag to fopen when opening
    such files. (Closes: #320541)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 14 Jun 2006 18:44:05 +0200

uudeview (0.5.20-2) unstable; urgency=high

  * Urgency high for RC bug fix.
  * Fix build problem caused by removal of psfig.sty.  (closes: Bug#266068)
  * Don't need to define _LARGEFILE64_SOURCE.  (closes: Bug#226766)

 -- Chris Hanson <cph@debian.org>  Tue, 17 Aug 2004 15:47:08 -0400

uudeview (0.5.20-1) unstable; urgency=low

  * New upstream version.
    - fixes two buffer overflows (closes: Bug#247137)
    - writes partial files (closes: Bug#165993)
    - new procedure UULoadFileWithPartNo (closes: Bug#234003)
  * Eliminate 2 lintian warnings and 1 lintian error.
  * Apply patch from nget maintainer:
    http://nget.sf.net/patches/uulib-0.5.19-uuinfofile-long-headers.patch

 -- Chris Hanson <cph@debian.org>  Thu, 20 May 2004 00:02:07 -0400

uudeview (0.5.19+beta20030413-2) unstable; urgency=low

  * Use hevea instead of latex2html, now that latter has moved to
    non-free.  (closes: Bug#221348)
  * Pass -fPIC when compiling so that libuu.a can be linked into shared
    library.  (thanks, Marek Habersack)  (closes: Bug#223757)
  * Add description of -v option to uudeview(1).
    (thanks, Peter Muir)  (closes: Bug#165993)

 -- Chris Hanson <cph@debian.org>  Tue, 23 Dec 2003 01:06:12 -0500

uudeview (0.5.19+beta20030413-1) unstable; urgency=low

  * New upstream version:
    - Add +a option that implements alternative auto-rename.
      (closes: Bug#142224)
    - Add error checking to uulib.
      (closes: Bug#151988)
  * Standards version 3.6.1: Update handling of configure arguments and
    CFLAGS in debian/rules.
  * debian/rules: Add necessary definitions for large-file support.
    (closes: Bug#175311)
  * Eliminate random tweaking of -g/-O options in CFLAGS.
    (closes: Bug#165991)
  * Use rename() in preference to copy if possible.
    (closes: Bug#166040)
  * Install needed .h files into libuu-dev.
    (closes: Bug#190365)

 -- Chris Hanson <cph@debian.org>  Sun, 7 Sep 2003 01:05:07 -0400

uudeview (0.5.18-5) unstable; urgency=low

  * Fix bug: code for file-overwrite prompt was inconsistently
    implementing case-insensitive option.  (closes: Bug#154706)
  * Add support for DEB_BUILD_OPTIONS to debian/rules.

 -- Chris Hanson <cph@debian.org>  Mon, 29 Jul 2002 14:43:59 -0400

uudeview (0.5.18-4) unstable; urgency=low

  * build-depends debhelper (>= 4.0.0).

 -- Chris Hanson <cph@debian.org>  Tue, 18 Jun 2002 22:02:03 -0400

uudeview (0.5.18-3) unstable; urgency=low

  * Compile with large file support.  (closes: Bug#148184)
  * Use "debian/compat" and switch to debhelper V4.

 -- Chris Hanson <cph@debian.org>  Sun, 26 May 2002 21:53:42 -0400

uudeview (0.5.18-2) unstable; urgency=medium

  * Make changes to use tk/tcl 8.3 rather than 8.0.
    (closes: Bug#142222)
  * Check rename directory to make sure it exists.
    (closes: Bug#142223)
  * Use DH_COMPAT=3.

 -- Chris Hanson <cph@debian.org>  Sat, 13 Apr 2002 21:04:31 -0400

uudeview (0.5.18-1) unstable; urgency=low

  * New upstream version.
    (closes: Bug#139235, Bug#139997, Bug#141376)

 -- Chris Hanson <cph@debian.org>  Fri, 5 Apr 2002 14:22:51 -0500

uudeview (0.5.17-2) unstable; urgency=low

  * Change priority of xdeview to "extra", to match overrides file.

 -- Chris Hanson <cph@debian.org>  Thu, 14 Mar 2002 12:15:05 -0500

uudeview (0.5.17-1) unstable; urgency=low

  * New upstream version.
  * Upstream added support for yEnc.  (closes: Bug#136958)

 -- Chris Hanson <cph@debian.org>  Tue, 12 Mar 2002 01:42:31 -0500

uudeview (0.5.15-4) unstable; urgency=low

  * Work around problem with tcl8.0-dev on SPARC.  This was reported as
    bug 109783; the bug itself will be reassigned to tcl8.0-dev.

 -- Chris Hanson <cph@debian.org>  Fri, 24 Aug 2001 13:20:01 -0400

uudeview (0.5.15-3) unstable; urgency=low

  * Fix upstream bug in new renaming mechanism.  (closes: Bug#109189)
  * Update to standards-version 3.5.6.

 -- Chris Hanson <cph@debian.org>  Sun, 19 Aug 2001 00:46:06 -0400

uudeview (0.5.15-2) unstable; urgency=low

  * Add build dependency on tetex-extra.  (closes: Bug#101281)

 -- Chris Hanson <cph@debian.org>  Mon, 18 Jun 2001 07:43:58 -0400

uudeview (0.5.15-1) unstable; urgency=low

  * New upstream version.

 -- Chris Hanson <cph@debian.org>  Wed, 13 Jun 2001 22:46:30 -0400

uudeview (0.5.13-7) unstable; urgency=low

  * Add build dependency on transfig.  (closes: Bug#90983)
  * Add -R option to uudeview to provide automatic renaming.  Change -i
    option to imply -R rather than -o.
  * Eliminate most compilation warnings, some of which were bugs.

 -- Chris Hanson <cph@debian.org>  Sat, 24 Mar 2001 23:51:59 -0500

uudeview (0.5.13-6) unstable; urgency=low

  * Add another package to provide the underlying libuu library and its
    documentation.  (closes: Bug#53963, Bug#80201)

 -- Chris Hanson <cph@debian.org>  Fri, 23 Mar 2001 22:11:32 -0500

uudeview (0.5.13-5) unstable; urgency=low

  * Restructure to break into two packages.  uudeview package now contains
    only the command-line programs, while new xdeview package contains
    xdeview.  (closes: Bug#54300, Bug#90708)


