=== debian/control ===
Source: uudeview
Section: utils
Priority: optional
Maintainer: Chris Hanson <cph@debian.org>
Build-Depends: debhelper (>= 4.0.0), tk8.4-dev, tcl8.4-dev, hevea, tetex-bin, tetex-extra, transfig
Standards-Version: 3.7.2

Package: uudeview
Architecture: any
Depends: ${shlibs:Depends}
Suggests: exim4 | mail-transport-agent, inews, xdeview
Description: Smart multi-file multi-part decoder (command line)
 This is a command-line decoder and encoder for files encoded with the
 following formats: uuencode, xxencode, BASE64, quoted printable, and
 BinHex.
 .
 This package used to contain an X11-based GUI decoder called xdeview.
 That program is now in the xdeview package.

Package: xdeview
Architecture: any
Depends: ${shlibs:Depends}
Suggests: exim4 | mail-transport-agent, inews
Description: Smart multi-file multi-part decoder (X11 GUI)
 This is an X11-based decoder for files encoded with the following
 formats: uuencode, xxencode, BASE64, quoted printable, and BinHex.

Package: libuu-dev
Section: libdevel
Architecture: any
Description: Library for decoding/encoding several popular file encodings
 Libuu is a library of functions for decoding and encoding files in
 the following formats: uuencode, xxencode, BASE64, quoted printable,
 and BinHex.
