=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR := $(shell pwd)/debian/tmp
BIN_DIR = /usr/bin
LIB_DIR = /usr/lib
INCLUDE_DIR = /usr/include
MAN_DIR = /usr/share/man
DOC_DIR = /usr/share/doc
HTML_DIR = $(DOC_DIR)/libuu-dev

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONF_FLAGS := --build $(DEB_HOST_GNU_TYPE)
else
  CONF_FLAGS := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS := -O0
else
	CFLAGS := -O2
endif
CFLAGS += -g -Wall -D_FILE_OFFSET_BITS=64 -fPIC

configure: configure-stamp
configure-stamp:
	dh_testdir
	with_includes=/usr/include/tcl8.4 CFLAGS="$(CFLAGS)" \
	    ./configure $(CONF_FLAGS) \
	    --prefix=/usr \
	    --mandir=$(MAN_DIR) \
	    --enable-tcl=/usr/lib/tcl8.4 \
	    --enable-tk=/usr/lib/tk8.4 \
	    --enable-sendmail=/usr/sbin/sendmail \
	    --enable-inews=/usr/bin/inews
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	(cd doc && $(MAKE) html)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	rm -rf autom4te.cache
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -d -m 755 $(DESTDIR)$(BIN_DIR) \
	    $(DESTDIR)$(HTML_DIR) \
	    $(DESTDIR)$(INCLUDE_DIR) \
	    $(DESTDIR)$(LIB_DIR) \
	    $(DESTDIR)$(MAN_DIR)/man1
	$(MAKE) install DESTDIR=$(DESTDIR) MANDIR=$(MAN_DIR)
	install -m 644 debian/uuwish.1 $(DESTDIR)$(MAN_DIR)/man1/.
	install -m 644 uulib/libuu.a $(DESTDIR)$(LIB_DIR)/.
	install -m 644 uulib/uudeview.h $(DESTDIR)$(INCLUDE_DIR)/.
	install -m 644 uulib/uuint.h $(DESTDIR)$(INCLUDE_DIR)/.
	install -m 644 uulib/fptools.h $(DESTDIR)$(INCLUDE_DIR)/.
	install -m 644 doc/*.html $(DESTDIR)$(HTML_DIR)/.
	dh_movefiles

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs HISTORY
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
